Page tree

Skip to end of metadata
Go to start of metadata

All future releases of Bob Swift Atlassian Add-ons for Confluence will no longer have dependencies on RB Component Add-ons. This change should have no impact to end users of the add-ons and may only be noticeable by Administrators installing add-ons. Prior to this, Administrators would notice a number of RB add-ons being automatically installed or upgraded when they installed Bob Swift add-ons. This will no longer be the case. The are a number of advantages for eliminating this dependency for Administrators:

  • Streamline the installation of add-ons
  • Eliminate some installation problems where add-ons may not enable correctly
  • Prevent accidental removal of required RB components that would cause macros to fail
  • Removes a source of compatibility problems for new releases of Confluence

 

No action needed

This is for your information.

Be careful removing RB add-ons

We recommend NOT removing already installed RB component add-ons.

  1. You need to make sure ALL Bob Swift add-ons have been upgraded to a level that no longer needs the dependencies
  2. Other add-on providers may also have dependencies especially ServiceRocket add-ons

Suggest that on your next Confluence upgrade, remove the RB components that you do not think you need and then re-install or upgrade any add-ons that may have a dependency. They should re-install the necessary components again.

 

 

  • No labels